%define module  XML-Atom
%define name    perl-%{module}
%define release %mkrel 1
%define version 0.33

Name:               %{name}
Version:            %{version}
Release:            %{release}
Summary:            Perl Module for Processing Atom Feeds
License:            GPL or Artistic
Group:              Development/Perl
Url:                http://search.cpan.org/dist/%{module}/
Source:             http://www.cpan.org/modules/by-module/XML/%{module}-%{version}.tar.bz2
Requires:         perl(XML::LibXML)
BuildRequires:    perl(MIME::Base64)
BuildRequires:    perl(URI)
BuildRequires:    perl(Class::Data::Inheritable)
BuildRequires:    perl(XML::LibXML)
BuildRequires:    perl(XML::XPath)
BuildRequires:    perl(LWP)
BuildRequires:    perl(LWP::Authen::Wsse)
BuildRequires:    perl(Digest::SHA1)
BuildRequires:    perl(DateTime)
BuildRequires:    perl(HTML::Parser)
BuildArch:        noarch
BuildRoot:        %{_tmppath}/%{name}-%{version}

%description
Perl Module for processing Atoms feed and that provides access to the Atom
API.

%prep
%setup -q -n %{module}-%{version}

%build
SKIP_SAX_INSTALL=1 CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/XML
%{_mandir}/*/*




%changelog
* Thu Jan 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-1mdv2009.1
+ Revision: 327085
- update to new version 0.33

* Mon Nov 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2009.1
+ Revision: 306237
- update to new version 0.32

* Fri Nov 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2009.1
+ Revision: 303114
- update to new version 0.31

* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2009.1
+ Revision: 302725
- new version

* Mon Oct 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdv2009.1
+ Revision: 297544
- update to new version 0.29

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.28-4mdv2009.0
+ Revision: 258795
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.28-3mdv2009.0
+ Revision: 246720
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Nov 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2008.1
+ Revision: 106665
- update to new version 0.28

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.27-1mdv2008.1
+ Revision: 97576
- update to new version 0.27


* Mon Mar 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-2mdv2007.1
+ Revision: 141649
- explicit dependency on perl(XML::LibXML)

* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2007.1
+ Revision: 133532
- fix build dependencies, drop explicit runtime dependencies

* Fri Mar 02 2007 Shlomi Fish  0.25-2mdv2007.1
- Fixed the summary.
- Converted to noarch.

* Fri Mar 02 2007 Shlomi Fish  0.25-1mdv2007.1
- Initial release. Adapted the Feed-Find spec for this one.

